Skip to content

Get 'AutomaticDistributionTaxationConnector'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/revenue/dataconnectors/automaticdistributiontaxationconnector/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/revenue/dataconnectors/automaticdistributiontaxationconnector/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

distribution_type_targetobject(AutomaticDistributionType)required

Additional Validation Information:

Must be unique

data_collectioninteger, (int32), [ -2147483648 .. 2147483647 ]required

Additional Validation Information:

Enum Descriptions:

  • 0 - Taxation Record

  • 1 - Structure

  • 2 - Realestate Sub Set

  • 3 - Realestate Super Set

  • 4 - Taxation Record Structure Operation Type

  • 5 - Taxation Record Taxation Type

Enum:012345
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
start_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: end_date

end_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: start_date

use_last_known_value_as_fallbackboolean
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "distribution_type_target": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "start_date": "2019-08-24", "end_date": "2019-08-24", "data_collection": 0, "use_last_known_value_as_fallback": true }